Summary: A set of GNU utilities commonly used in shell scripts.
Name: sh-utils
Version: 2.0
Release: 1
Group: System Environment/Shells
Copyright: GPL
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.gnu.org/gnu/sh-utils-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-root

%description
The GNU shell utilities are a set of useful system utilities which
are often used in shell scripts.  The sh-utils package includes
basename (to remove the path prefix from a specified pathname),
chroot (to change the root directory), date (to print/set the
system time and date), dirname (to remove the last level or the
filename from a given path), echo (to print a line of text), env
(to display/modify the environment), expr (to evaluate expressions),
factor (to print prime factors), false (to return an unsuccessful
exit status), groups (to print the groups a specified user is a
member of), id (to print the real/effective uid/gid), logname (to
print the current login name), nice (to modify a scheduling priority),
nohup (to allow a command to continue running after logging out),
pathchk (to check a file name's portability), printenv (to print
environment variables), printf (to format and print data), pwd (to
print the current directory), seq (to print numeric sequences),
sleep (to suspend execution for a specified time), stty (to
print/change terminal settings), su (to become another user or the
superuser), tee (to send output to multiple files), test (to
evaluate an expression), true (to return a successful exit status),
tty (to print the terminal name), uname (to print system information),
users (to print current users' names), who (to print a list of the
users who are currently logged in), whoami (to print the effective
user id), and yes (to print a string indefinitely).


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS -DSYSLOG_SUCCESS -DSYSLOG_FAILURE" LDFLAGS=-s ./configure \
	--prefix=/usr --sysconfdir=/etc --disable-nls
make
make -C doc sh-utils.ps
gzip -9f doc/sh-utils.ps


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# This is supposed to be done through "make install-root" as root
install -m4755 src/su $RPM_BUILD_ROOT/usr/bin

strip $RPM_BUILD_ROOT/usr/bin/* || :
gzip -9f $RPM_BUILD_ROOT/usr/info/sh-utils.info

mkdir -p $RPM_BUILD_ROOT/{bin,usr/sbin}
mv $RPM_BUILD_ROOT/usr/bin/{basename,date,echo,false,nice,pwd,sleep,stty,su,true,uname} $RPM_BUILD_ROOT/bin
mv $RPM_BUILD_ROOT/usr/bin/chroot $RPM_BUILD_ROOT/usr/sbin

# hostname is provided by net-tools; uptime is provided by procps.
rm -f $RPM_BUILD_ROOT/usr/{bin/{hostname,uptime},man/man1/{hostname,uptime}.1}

ln -sf test $RPM_BUILD_ROOT/usr/bin/[


%post
/sbin/install-info /usr/info/sh-utils.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/sh-utils.info.gz /usr/info/dir
fi


%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog* INSTALL NEWS README THANKS TODO
%doc doc/sh-utils.ps.gz
/bin/*
/usr/bin/*
/usr/sbin/*
/usr/man/man*/*
/usr/info/*


%clean
rm -rf $RPM_BUILD_ROOT

